Skip to main content

Records Endpoints

Endpoints for creating, reading, updating, and deleting records in a cube.

List Records

Retrieve paginated records from a cube.
GET /api/v1/{project}/{cube}

Query Parameters

_page
integer
default:"1"
Page number
_pageSize
integer
default:"25"
Number of records per page (max 100)
_sort
string
Column name to sort by
_order
string
default:"asc"
Sort direction: asc or desc

Filtering

Apply filters using column names as query parameters with operator prefixes:
?column=operator:value
Available operators: eq, not, contains, gt, gte, lt, lte

Response

{
  "data": [
    {
      "id": 1,
      "title": "Hello World",
      "created_at": "2025-01-01T00:00:00Z"
    }
  ],
  "total": 100,
  "page": 1,
  "pageSize": 25
}

Get Record

Retrieve a single record by ID.
GET /api/v1/{project}/{cube}/{id}

Response

{
  "id": 1,
  "title": "Hello World",
  "content": "My first record",
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}

Create Record

Create a new record.
POST /api/v1/{project}/{cube}
X-Api-Key
string
required
Your API key

Request Body

{
  "title": "New Record",
  "content": "Record content"
}

Response

{
  "id": 2,
  "title": "New Record",
  "content": "Record content",
  "created_at": "2025-01-01T00:00:00Z"
}

Update Record

Update an existing record.
PUT /api/v1/{project}/{cube}/{id}

Request Body

{
  "title": "Updated Title"
}

Delete Record

Delete a record by ID.
DELETE /api/v1/{project}/{cube}/{id}

Response

204 No Content